Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class AvalonLogSystem

    java.lang.Object
      |
      +--org.apache.velocity.runtime.log.AvalonLogSystem

All Implemented Interfaces:
  LogSystem

public class AvalonLogSystem
extends java.lang.Object
implements LogSystem

Implementation of a Avalon logger.

Version:
  $Id: AvalonLogSystem.java,v 1.11 2001/11/17 12:02:52 geirm Exp $
Author:
  Jon S. Stevens, Geir Magnusson Jr.

Field Summary
`private org.apache.log.Logger` | `logger`
`private RuntimeServices` | `rsvc`

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Constructor Summary
`AvalonLogSystem()` default CTOR.

Method Summary
`void` | `init(RuntimeServices rs)` init()
`void` | `init(java.lang.String logFile)` initializes the log system using the logfile argument
`void` | `logVelocityMessage(int level, java.lang.String message)` logs messages

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### logger

    private org.apache.log.Logger logger

### rsvc

    private RuntimeServices rsvc

Constructor Detail

### AvalonLogSystem

    public AvalonLogSystem()

  default CTOR. Initializes itself using the property RUNTIME_LOG from the Velocity properties

Method Detail

### init

    public void init(RuntimeServices rs)
              throws java.lang.Exception

  Description copied from interface: `LogSystem`
  init()
  Specified by:
    `init` in interface `LogSystem`

### init

    public void init(java.lang.String logFile)
              throws java.lang.Exception

  initializes the log system using the logfile argument
  Parameters:
    `logFile` - file for log messages

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   java.lang.String message)

  logs messages
  Specified by:
    `logVelocityMessage` in interface `LogSystem`
  Parameters:
    `level` - severity level
    `message` - complete error message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.